Bug 1014863 - (CVE-2013-2919) CVE-2013-2919 v8: remote denial of service via memory corruption
CVE-2013-2919 v8: remote denial of service via memory corruption
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20131001,repo...
: Security
Depends On:
Blocks: 1014865
  Show dependency treegraph
 
Reported: 2013-10-02 20:06 EDT by Vincent Danen
Modified: 2016-04-26 14:41 EDT (History)
45 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-24 12:45:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-10-02 20:06:39 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-2919 to
the following vulnerability:

Name: CVE-2013-2919
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2919
Assigned: 20130411
Reference: http://googlechromereleases.blogspot.com/2013/10/stable-channel-update.html
Reference: https://code.google.com/p/chromium/issues/detail?id=282736

Google V8, as used in Google Chrome before 30.0.1599.66, allows remote
attackers to cause a denial of service (memory corruption) or possibly
have unspecified other impact via unknown vectors.
Comment 5 T.C. Hollingsworth 2013-10-07 20:54:49 EDT
Any indication this affects the stable v8 3.14 series we're shipping in Fedora?

The upstream patch seems to be here:
https://code.google.com/p/v8/source/detail?r=16759

But the changes in src/objects.cc don't apply cleanly to 3.14 and the attached test case passes with v8-3.14.5.10-2.
Comment 6 Kurt Seifried 2013-10-24 12:45:25 EDT
The affected code is not present in versions 3.14.x so none of the versions in Fedora and OpenStack, OpenShift, etc. are affected, closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.